From 00bf1865d3109d8907eeb9fa58e0d7fa4f548464 Mon Sep 17 00:00:00 2001
From: Florents Tselai <florents.tselai@gmail.com>
Date: Tue, 11 Mar 2025 09:50:23 +0200
Subject: [PATCH v2 2/2] Fix declaration-after-statement

---
 src/backend/utils/adt/encode.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/src/backend/utils/adt/encode.c b/src/backend/utils/adt/encode.c
index 2547e746653..4887a601917 100644
--- a/src/backend/utils/adt/encode.c
+++ b/src/backend/utils/adt/encode.c
@@ -467,6 +467,7 @@ pg_base64url_decode(const char *src, size_t len, char *dst)
 	char *base64 = palloc(len + 4); /* Allocate extra space */
 	size_t i;
 	size_t pad_len;
+	uint64 decoded_len;
 
 	/* Convert Base64URL back to Base64 */
 	for (i = 0; i < len; i++)
@@ -484,7 +485,7 @@ pg_base64url_decode(const char *src, size_t len, char *dst)
 	while (pad_len--)
 		base64[i++] = '=';
 
-	uint64 decoded_len = pg_base64_decode(base64, i, dst);
+	decoded_len = pg_base64_decode(base64, i, dst);
 	pfree(base64); /* Free allocated memory */
 
 	return decoded_len;
-- 
2.48.1

